MFC007 — Estorno de Pagamento / Recebimento de Contas
Fonte
- Source:
source/MFC007/
Objetivo
O módulo MFC007 tem como principal objetivo permitir o estorno (reversao) de processos de pagamento e recebimento de contas ja liquidados no sistema JunsoftERP V2. Quando um pagamento ou recebimento e realizado de forma incorreta, duplicada ou precisa ser desfeito por qualquer outro motivo, este módulo possibilita reverter a operacao, devolvendo as contas ao estado anterior a liquidacao.
O fluxo de trabalho consiste em duas etapas principais: primeiro, o usuario utiliza filtros para localizar os processos financeiros liquidados que precisam ser estornados; em seguida, seleciona os processos desejados, informa a data de estorno e o motivo, e confirma a operacao. O sistema executa a stored procedure ESTORNA_PROCESSO, que se encarrega de reverter todas as movimentacoes de caixa, movimentacoes de processo e atualizacoes de saldo associadas ao processo original.
O módulo tambem permite ser invocado diretamente por outras telas do sistema (como telas de baixa de contas), recebendo parametros como numero do processo e numero do lancamento para estorno direcionado, facilitando a correcao rapida de operacoes financeiras.
Funcionalidades
- Filtros de Pesquisa de Processos Liquidados
- Visualizacao e Selecao de Processos para Estorno
- Preenchimento dos Dados de Estorno
- Repetir Dados para Todos os Processos Selecionados
- Execucao do Estorno
Mensagens exibidas
Levantadas de source/MFC007/ pela camada 0 (commit 96fc51e236).
Mais 22 mensagens com texto literal no código: MFC007.
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
| MOVTOCAIXA | SELECT, UPDATE |
| PESSOA | DELETE, INSERT, SELECT, UPDATE |
| TIPOCONTA | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| AGENCIA | SELECT |
| BANCO | SELECT |
| CONTASHISTORICO | SELECT |
| EMPRESA | SELECT |
| FORMAPAGTO | SELECT |
| HISTORICO | SELECT |
| JURO | SELECT |
| MOTIVO | SELECT |
| MOVTOPROCESSO | SELECT |
| PARMFINANC | SELECT |
| PARMRESTAURANTE | SELECT |
| PARMSALDO | SELECT |
| PROCESSO | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| ESTORNA_PROCESSO | AJUSTEFISCALITEMNOTA (DELETE/INSERT/SELECT), ALIQUOTA (SELECT), BOLETOIMPRESSO (INSERT), CHEQUE (SELECT), CODRECEITA (SELECT), COMPLEMENTOLEITE (UPDATE) +70 |
| VIEW_PARMSALDO | EMPRESA (SELECT), PARMFINANC (SELECT), PARMSALDO (SELECT), SESSAO (INSERT/SELECT), USUARIOCONTASALDO (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| AJUSTEFISCALITEMNOTA | DELETE, INSERT, SELECT |
| ALIQUOTA | SELECT |
| BOLETOIMPRESSO | INSERT |
| CHEQUE | SELECT |
| CODRECEITA | SELECT |
| COMPLEMENTOLEITE | UPDATE |
| CONCILIACAO | SELECT |
| CONDPAGTO | SELECT |
| CONTAS | SELECT, UPDATE |
| CONTASCTB | DELETE, INSERT, SELECT |
| CONTASHISTORICO | SELECT |
| CONTASHISTORICOCC | SELECT |
| CONTASHISTORICOCTB | DELETE, INSERT, SELECT |
| CONTASJUNCAO | DELETE, SELECT |
| CONTASPESSOA | INSERT, SELECT |
| CONTASPROVISAO | DELETE, SELECT |
| CONTASVENDOR | SELECT |
| CONTAS_MOVTOCONTABIL | SELECT |
| CUPOMFISCAL | SELECT, UPDATE |
| DESTINOREPARCELAMENTO | SELECT |
| ... | +58 tabelas |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| MNF010 | Gerar Mensalidades | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |